RoutesSiem destination
/siem-destination
Configure SIEM streaming. The signing secret is returned once and cannot be retrieved later
AuthorizationBearer <token>
In: header
Request Body
application/json
name?string
Display name of the destination
Length
1 <= length <= 100url?string
HTTPS delivery URL; required for HTTPS, ignored for buckets. Must resolve to a public address
Format
uriLength
length <= 2048target?||
Delivery destination; defaults to HTTPS and requires url. Buckets require credentials
authHeaderName?string
Custom auth header name, such as Authorization; HTTPS only
Match
^[A-Za-z0-9-]+$Length
1 <= length <= 200authHeaderValue?string
Stored encrypted and never returned
Length
1 <= length <= 4096exportAuditLogs?boolean
Whether to stream audit log events. Default is true
exportCredentialAuditLogs?boolean
Whether to stream credential audit log events. Default is true
Response Body
application/json
curl -X POST "https://YOUR_ORG_ID.s.gatana.ai/api/v1/siem-destination" \ -H "Content-Type: application/json" \ -d '{}'{
"destination": {
"id": "string",
"name": "string",
"kind": "https",
"url": "string",
"target": {
"kind": "https"
},
"hasCredentials": true,
"authHeaderName": "string",
"hasAuthHeaderValue": true,
"isEnabled": true,
"status": "active",
"exportAuditLogs": true,
"exportCredentialAuditLogs": true,
"consecutiveFailures": 0,
"failingSince": "string",
"nextAttemptAt": "string",
"lastAttemptAt": "string",
"lastSuccessAt": "string",
"lastError": "string",
"createdAt": "string",
"updatedAt": "string"
},
"signingSecret": "string"
}